[pynfft] 08/12: Add autopkgtest testsuite.

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Fri Feb 12 09:39:35 UTC 2016


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch master
in repository pynfft.

commit a0469940ad053020579afec87731ccb507ae4de8
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Thu Feb 11 13:07:58 2016 +0000

    Add autopkgtest testsuite.
---
 debian/control       |  1 +
 debian/tests/control | 13 +++++++++++++
 debian/tests/python2 | 14 ++++++++++++++
 debian/tests/python3 | 14 ++++++++++++++
 4 files changed, 42 insertions(+)

diff --git a/debian/control b/debian/control
index 2965399..0efd0d4 100644
--- a/debian/control
+++ b/debian/control
@@ -2,6 +2,7 @@ Source: pynfft
 Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail at gmail.com>
 Section: science
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends:
  debhelper (>= 9),
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..06afbb0
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,13 @@
+Tests: python2
+Depends: python-all,
+         python-all-dbg,
+         python-nose,
+         python-pynfft,
+         python-pynfft-dbg
+
+Tests: python3
+Depends: python3-all,
+         python3-all-dbg,
+         python3-nose,
+         python3-pynfft,
+         python3-pynfft-dbg
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..ee7be20
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cp -a pynfft/tests "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -m nose 2>&1
+	echo "=== $py-dbg ==="
+	$py-dbg -m nose 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..8f589b7
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cp -a pynfft/tests "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -m nose 2>&1
+	echo "=== $py-dbg ==="
+	$py-dbg -m nose 2>&1
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pynfft.git



More information about the debian-science-commits mailing list